<template>
	<AppPage>
		<b-card-group deck>
			<b-card
				v-if="showUsers"
				title="Users"
				:img-src="require('../static/users.png')"
				img-alt="Users"
				img-top
				tag="article"
				style="max-width: 20rem;"
				class="mb-2"
			>
				<b-list-group flush>
					<b-list-group-item
						:to="{ path: '/users/refresh' }"
						v-if="hasPage('users-refresh')"
						>Refresh a user's personal information
					</b-list-group-item>
					<b-list-group-item
						:to="{ path: '/users/enrollments/system' }"
						v-if="hasPage('users-system-enrollments')"
						>Set a user's system enrollments
					</b-list-group-item>
					<b-list-group-item
						:to="{ path: '/users/enrollments/courses' }"
						v-if="hasPage('users-course-enrollments')"
						>Refresh a user's course enrollments
					</b-list-group-item>
          <b-list-group-item
              :to="{ path: '/users/role-override' }"
              v-if="hasPage('users-role-override')"
          >Override a user's system defined role
          </b-list-group-item>
				</b-list-group>
			</b-card>

			<b-card
				v-if="showCourses"
				title="Courses"
				:img-src="require('../static/courses.jpg')"
				img-alt="Courses"
				img-top
				tag="article"
				style="max-width: 20rem;"
				class="mb-2"
			>
				<b-list-group flush>
					<b-list-group-item
						:to="{ path: '/courses/linking' }"
						v-if="hasPage('courses-linking')"
					>
						Link courses together to have enrollments from one or more courses
						pushed to another
					</b-list-group-item>
					<b-list-group-item
						:to="{ path: '/courses/add' }"
						v-if="hasPage('courses-add')"
					>
						Add a course that exists in MaineStreet
					</b-list-group-item>
					<b-list-group-item
						:to="{ path: '/courses/add-dev' }"
						v-if="hasPage('courses-add-dev')"
					>
						Add a development course, which does not exist in MaineStreet
					</b-list-group-item>
					<b-list-group-item
						:to="{ path: '/courses/add-dev' }"
						v-if="hasPage('courses-add-dev')"
					>
						Add a master course, which does not exist in MaineStreet
					</b-list-group-item>
					<b-list-group-item
						:to="{ path: '/courses/refresh' }"
						v-if="hasPage('courses-refresh')"
					>
						Refresh a course title
					</b-list-group-item>
					<b-list-group-item
						:to="{ path: '/courses/enrollments' }"
						v-if="hasPage('courses-enrollments')"
					>
						Refresh course enrollments
					</b-list-group-item>
					<b-list-group-item
						:to="{ path: '/courses/delete' }"
						v-if="hasPage('courses-delete')"
					>
						Delete a course from Brightspace
					</b-list-group-item>
					<b-list-group-item
						:to="{ path: '/courses/delete/defunct' }"
						v-if="hasPage('courses-delete-defunct')"
					>
						Delete a course from Brightspace that no longer exists in
						MaineStreet
					</b-list-group-item>
					<b-list-group-item
						:to="{ path: '/courses/homepage' }"
						v-if="hasPage('courses-homepage')"
					>
						Change the homepage of all courses for an institution and term
					</b-list-group-item>
					<b-list-group-item
						:to="{ path: '/courses/navbar' }"
						v-if="hasPage('courses-navbar')"
					>
						Change the navbar of all courses for an institution and term
					</b-list-group-item>
					<b-list-group-item
						:to="{ path: '/courses/acad-org-copy' }"
						v-if="hasPage('courses-acad-org-copy')"
					>
						Copy Master Courses for an Academic Organization
					</b-list-group-item>
				</b-list-group>
			</b-card>

			<b-card
				v-if="showSystem"
				title="System"
				:img-src="require('../static/system.png')"
				img-alt="System"
				img-top
				tag="article"
				style="max-width: 20rem;"
				class="mb-2"
			>
				<b-list-group flush>
					<b-list-group-item
						:to="{ path: '/system/terms' }"
						v-if="hasPage('system-terms')"
						>Select terms for processing
					</b-list-group-item>
					<b-list-group-item
						:to="{ path: '/system/master-courses' }"
						v-if="hasPage('system-master-courses')"
						>Specify master courses
					</b-list-group-item>
					<b-list-group-item
						:to="{ path: '/system/course-settings' }"
						v-if="hasPage('system-course-settings')"
						>Set course settings globally
					</b-list-group-item>
					<b-list-group-item
						:to="{ path: '/system/admin-users' }"
						v-if="hasPage('system-admin-users')"
						>Admin Utility User Management
					</b-list-group-item>
				</b-list-group>
			</b-card>
		</b-card-group>
  </AppPage>
</template>

<script>
import { mapGetters } from "vuex";

export default {
	computed: {
    ...mapGetters({
      hasPage: 'Navbar/hasPage'
    }),
		showSystem() {
			return (
				this.hasPage("system-terms") ||
				this.hasPage("system-master-courses") ||
				this.hasPage("system-course-settings") ||
				this.hasPage("system-admin-users")
			);
		},
		showUsers() {
			return (
				this.hasPage("users-refresh") ||
				this.hasPage("users-system-enrollments") ||
				this.hasPage("users-course-enrollments")
			);
		},
		showCourses() {
			return (
				this.hasPage("courses-linking") ||
				this.hasPage("courses-add") ||
				this.hasPage("courses-add-dev") ||
				this.hasPage("courses-refresh") ||
				this.hasPage("courses-enrollments") ||
				this.hasPage("courses-delete") ||
				this.hasPage("courses-delete-defunct") ||
				this.hasPage("courses-homepage") ||
				this.hasPage("courses-navbar")
			);
		}
  }
};
</script>
